FSTRIM(8)

NOM
fstrim - Abandonner les blocs non utilisés d'un système de fichiers monté

SYNOPSIS
fstrim [-a] [-o position] [-l taille] [-m taille-mini] [-v] point_de_montage

DESCRIPTION
fstrim est utilisé sur un système de fichiers monté pour abandonner (ou « rogner ») les blocs qui ne sont pas utilisés par le système de fichiers. C'est pratique pour les SSD (« solid-state drive ») et l'allocation fine et dynamique (« thinly-provisioned storage »).

Par défaut, fstrim abandonnera tous les blocs non utilisés du système de fichiers. Les options permettent de modifier ce comportement en fonction d'intervalle ou de taille, conformément aux explications suivantes.

Le paramètre point_de_montage est le chemin du répertoire où le système de fichiers est monté.

Exécuter fstrim fréquemment, ou même utiliser mount -o discard, pourrait affecter négativement la durée de vie des périphériques SSD de mauvaise qualité. Pour la plupart des systèmes de bureau ou des serveurs, la fréquence d’abandon suffisante est une fois par semaine. Remarquez que tous les périphériques ne permettent pas de mettre en attente les abandons, donc chaque commande d’abandon pénalise les performances de tout ce qui pourrait être en train d’essayer d’utiliser le disque en même temps.

OPTIONS
Les arguments position, taille et taille_minimale peuvent être suivis des suffixes multiplicatifs KiB=1024, MiB=1024*1024, etc., pour GiB, TiB, PiB, EiB, ZiB et YiB (la partie « iB » est facultative, par exemple « K » est identique à « KiB ») ou des suffixes KB=1000, MB=1000*1000, etc., pour GB, TB, PB, EB, ZB et YB.

-a, --all
    Rogner tous les systèmes de fichiers montés sur les périphériques qui permettent l’opération d’abandon. Les autres options fournies, comme --offset, --length et --minimum sont appliquées à tous ces périphériques. Les erreurs des systèmes de fichiers qui ne permettent pas l’opération d’abandon sont ignorées silencieusement.

-o, --offset position
    La position en octet dans le système de fichiers à partir de laquelle commencer à chercher les blocs libres à abandonner. La valeur par défaut est zéro, désignant le début du système de fichiers.

-l, --length taille
    Le nombre d'octets (après le point de départ) où chercher des blocs libres à abandonner. Si la valeur indiquée va au-delà de la fin du système de fichiers, fstrim s'arrêtera à la frontière de taille du système de fichiers. La valeur par défaut prolonge la recherche jusqu'à la fin du système de fichiers.

-m, --minimum taille_minimale
    L'intervalle libre contigu minimal à abandonner, en octet (cette valeur est arrondie en interne à un multiple de la taille d'un bloc du système de fichier). Les intervalles libres plus petits que cela seront ignorés. En augmentant cette valeur, l'opération fstrim se terminera plus rapidement pour les systèmes de fichiers avec des espaces libres mal fragmentés, même si tous les blocs libres ne sont pas abandonnés. La valeur par défaut est zéro, pour abandonner tous les blocs libres.

-v, --verbose
    Exécution bavarde. Avec cette option, fstrim affichera le nombre d'octets transmis du système de fichiers par la pile de bloc vers le périphérique pour abandon éventuel. Ce nombre est un montant maximal d'abandon d'un point de vue du périphérique de stockage, parce que l'ioctl FITRIM appelé plusieurs fois continuera à répéter l'envoi des mêmes secteurs pour abandon.

    fstrim signalera à chaque fois les mêmes octets à abandonner, mais seuls les secteurs sur lesquels une écriture a eu lieu entre les abandons seront vraiment abandonnés par le périphérique de stockage. De plus, la couche bloc du noyau se réserve le droit d'ajuster les intervalles d'abandon pour s'ajuster à la géométrie des bandes RAID, aux périphériques ne pouvant pas être rognés dans une configuration LVM, etc. Ces réductions ne seront pas reflétées par fstrim_range.len (l'option --length).

-V, --version
    Afficher les informations sur la version et quitter.

-h, --help
    Afficher un texte d'aide puis quitter.

CODES DE RETOUR

0   réussite

1   échec

32  tout a échoué

64  certains abandons sur le système de fichiers ont réussi, d’autres ont échoué

La commande fstrim --all renvoie 0 (tous ont réussi), 32 (tous ont échoué) ou 64 (certains ont réussi, d’autres ont échoué).

AUTEUR
Lukas Czerner <lczerner@redhat.com>
Karel Zak <kzak@redhat.com>

VOIR AUSSI
mount(8)

DISPONIBILITÉ
La commande fstrim fait partie du paquet util-linux, elle est disponible sur <ftp://ftp.kernel.org/pub/linux/utils/util-linux/>.

TRADUCTION
La traduction de cette page de manuel est maintenue par les membres de la liste <debian-l10n-french AT lists DOT debian DOT org>. Veuillez signaler toute erreur de traduction par un rapport de bogue sur le paquet manpages-fr-extra.